<template>
  <div class="container">
    <div class="header">
      <slot></slot>
    </div>
    <div class="vcard">
      <img class="image" :src="cocktail.image" alt="" />
      <div class="row">
        <div class="col">
          <h1 class="title">{{ cocktail.name }}</h1>
        </div>
        <div class="col content">
          <p class="text">{{ cocktail.glassName }}</p>
          <p class="text">{{ cocktail.category }}</p>
          <p class="text">{{ cocktail.alcoholic }}</p>
        </div>
      </div>
      <hr class="color-sep" />

      <h1 class="subtitle subtitle-left">INSTRUCTIONS :</h1>
      <p class="instruction text">
        {{ computedInstruction }}
      </p>

      <hr class="color-sep" />

      <h1 class="subtitle ing">INGREDIENTS :</h1>
      <div class="row">
        <div class="col list text">
          <ul v-for="(c, index) in cocktail.ingredients" :key="index">
            <li>
              <span>{{ c.ingredient }}</span>
            </li>
          </ul>
        </div>
        <div class="col list text">
          <ul v-for="(c, index) in cocktail.ingredients" :key="index">
            <li>
              <span>{{ c.measure }}</span>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "DetailedCocktail",
  props: {
    cocktail: Object,
  },
  computed: {
    computedInstruction() {
      let firstLetter = this.cocktail.instruction[0].toUpperCase()
      let sentence = this.cocktail.instruction.slice(1)
      return firstLetter + sentence
    }
  }
};
</script>

<style src="./DetailedCocktail.scss" lang="scss">
</style>